Get Storage Statistics
get
/applications/{applicationName}/databases/{databaseName}/statistics/storage
Returns storage statistics of the specified database.
Request
Path Parameters
-
applicationName(required):
Application name.
-
databaseName(required):
Database name.
Response
200 Response
OK
Database storage statistics returned successfully.
400 Response
Bad Request
Failed to get storage statistics. The application or database name may be incorrect.
500 Response
Internal Server Error.
Examples
The following example shows how to get storage statistics for a cube.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample_Dynamic/databases/Basic/statistics/storage" -H "accept: application/json" -u %User%:%Password%Example of Response Body
{
"storage": {
"maxKeyLengthBits": 0,
"maxKeyLengthBytes": 0,
"numberOfInputLevelCells": 0,
"numberOfIncrementalDataSlices": 0,
"numberOfIncrementalInputCells": 0,
"numberOfAggregateViews": 0,
"numberOfAggregateCells": 0,
"numberOfIncrementalAggregateCells": 0,
"costOfQueryingIncrementalData": 0,
"inputLevelDataSize": 0,
"aggregateDataSize": 0,
"numberOfExistingBlocks": 354,
"blockSize": 672,
"potentialNumberOfBlocks": 1900,
"existingLevelZeroBlocks": 354,
"existingUpperLevelBlocks": 0,
"blockDensity": 83.61904761904762,
"percentageOfMaximumBlocksExisting": 18.63157894736842,
"compressionRatio": 0.9943010752688172,
"averageClusteringRatio": 0.33334593787222777,
"pageFileSize": 294969,
"indexFileSize": 8216576
}
}